package com.falkensweb.flex.effects{

import mx.effects.AnimateProperty;
import mx.effects.EffectInstance;

public class AnimateDateTimeProperty extends AnimateProperty{
	
	 /**
     *  Constructor.
     *
     *  @param target The Object to animate with this effect.
     */
     public function AnimateDateTimeProperty(target:Object = null){
        super(target);

        instanceClass = AnimateDateTimePropertyInstance;
     }
	
	
	override protected function initInstance(instance:EffectInstance):void{
        super.initInstance(instance);

        var animatePropertyInstance:AnimateDateTimePropertyInstance =
                AnimateDateTimePropertyInstance(instance);

        animatePropertyInstance.fromValue = fromValue;
        animatePropertyInstance.toValue = toValue;
        animatePropertyInstance.property = property;
        animatePropertyInstance.isStyle = isStyle;
        animatePropertyInstance.roundValue = roundValue;
    }
}
}